# Class FilterDef

java.lang.Object
org.apache.tomcat.util.descriptor.web.FilterDef

All Implemented Interfaces:
  `Serializable`

public class FilterDef extends Object implements Serializable
Representation of a filter definition for a web application, as represented in a `<filter>` element in the deployment descriptor.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FilterDef()`
Default constructor for FilterDef.

## Method Summary

Modifier and Type
Method
Description
`void`
`addInitParameter(String name, String value)`
Add an initialization parameter to the set of parameters associated with this filter.
`String`
`getAsyncSupported()`
Returns the async-supported setting for this filter.
`boolean`
`getAsyncSupportedBoolean()`
Returns whether async processing is supported for this filter.
`String`
`getDescription()`
Returns the description of this filter.
`String`
`getDisplayName()`
Returns the display name of this filter.
`Filter`
`getFilter()`
Returns the filter instance associated with this definition.
`String`
`getFilterClass()`
Returns the fully qualified name of the Java class that implements this filter.
`String`
`getFilterName()`
Returns the name of this filter.
`String`
`getLargeIcon()`
Returns the large icon associated with this filter.
`Map<String,String>`
`getParameterMap()`
Returns the set of initialization parameters for this filter, keyed by parameter name.
`String`
`getSmallIcon()`
Returns the small icon associated with this filter.
`void`
`setAsyncSupported(String asyncSupported)`
Sets the async-supported setting for this filter.
`void`
`setDescription(String description)`
Sets the description of this filter.
`void`
`setDisplayName(String displayName)`
Sets the display name of this filter.
`void`
`setFilter(Filter filter)`
Sets the filter instance associated with this definition.
`void`
`setFilterClass(String filterClass)`
Sets the fully qualified name of the Java class that implements this filter.
`void`
`setFilterName(String filterName)`
Sets the name of this filter, which must be unique among the filters defined for a particular web application.
`void`
`setLargeIcon(String largeIcon)`
Sets the large icon associated with this filter.
`void`
`setSmallIcon(String smallIcon)`
Sets the small icon associated with this filter.
`String`
`toString()`
Render a String representation of this object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FilterDef

public FilterDef()
Default constructor for FilterDef.

## Method Details

### getDescription

public String getDescription()
Returns the description of this filter.

Returns:
  The description

### setDescription

public void setDescription(String description)
Sets the description of this filter.

Parameters:
  `description` - The new description

### getDisplayName

public String getDisplayName()
Returns the display name of this filter.

Returns:
  The display name

### setDisplayName

public void setDisplayName(String displayName)
Sets the display name of this filter.

Parameters:
  `displayName` - The new display name

### getFilter

public Filter getFilter()
Returns the filter instance associated with this definition.

Returns:
  The filter instance

### setFilter

public void setFilter(Filter filter)
Sets the filter instance associated with this definition.

Parameters:
  `filter` - The filter instance

### getFilterClass

public String getFilterClass()
Returns the fully qualified name of the Java class that implements this filter.

Returns:
  The filter class name

### setFilterClass

public void setFilterClass(String filterClass)
Sets the fully qualified name of the Java class that implements this filter.

Parameters:
  `filterClass` - The filter class name

### getFilterName

public String getFilterName()
Returns the name of this filter.

Returns:
  The filter name

### setFilterName

public void setFilterName(String filterName)
Sets the name of this filter, which must be unique among the filters defined for a particular web application.

Parameters:
  `filterName` - The new filter name

### getLargeIcon

public String getLargeIcon()
Returns the large icon associated with this filter.

Returns:
  The large icon

### setLargeIcon

public void setLargeIcon(String largeIcon)
Sets the large icon associated with this filter.

Parameters:
  `largeIcon` - The new large icon

### getParameterMap

public Map<String,String> getParameterMap()
Returns the set of initialization parameters for this filter, keyed by parameter name.

Returns:
  The initialization parameter map

### getSmallIcon

public String getSmallIcon()
Returns the small icon associated with this filter.

Returns:
  The small icon

### setSmallIcon

public void setSmallIcon(String smallIcon)
Sets the small icon associated with this filter.

Parameters:
  `smallIcon` - The new small icon

### getAsyncSupported

public String getAsyncSupported()
Returns the async-supported setting for this filter.

Returns:
  The async-supported value

### setAsyncSupported

public void setAsyncSupported(String asyncSupported)
Sets the async-supported setting for this filter.

Parameters:
  `asyncSupported` - The async-supported value

### getAsyncSupportedBoolean

public boolean getAsyncSupportedBoolean()
Returns whether async processing is supported for this filter.

Returns:
  True if async is supported, false otherwise

### addInitParameter

public void addInitParameter(String name, String value)
Add an initialization parameter to the set of parameters associated with this filter.

Parameters:
  `name` - The initialization parameter name
  `value` - The initialization parameter value

### toString

public String toString()
Render a String representation of this object.

Overrides:
  `toString` in class `Object`